--- a/src/menucontent.h
+++ b/src/menucontent.h
@@ -122,7 +122,7 @@ MENUDESC mainMenu;
 
 if ( (global->language == LANGUAGE_ENGLISH) || (global->language == LANGUAGE_SPANISH) || (global->language == LANGUAGE_ITALIAN) )
   {
-    MENUENTRY physicsOpts[8] =
+    static MENUENTRY physicsOpts[8] =
     {
       { "Gravity", NULL, WHITE, &env->gravity, NULL, "%2.3f", .025, .325, 0.025, .075, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 80},
       { "Viscosity", NULL, WHITE, &env->viscosity, NULL, "%2.2f", .25, 2.0, 0.25, 1.0, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 60},
@@ -135,7 +135,7 @@ if ( (global->language == LANGUAGE_ENGLI
     };
     MENUDESC physicsMenu = { "Physics", 8, physicsOpts, TRUE, FALSE};
 
-    MENUENTRY weatherOpts[7] =
+    static MENUENTRY weatherOpts[7] =
     {
       { "Meteor Showers", NULL, WHITE, &env->meteors, NULL, "%s", 0, 3, 1, 0, meteorText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Lightning", NULL, WHITE, &env->lightning, NULL, "%s", 0, 3, 1, 0, lightningText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -148,7 +148,7 @@ if ( (global->language == LANGUAGE_ENGLI
     MENUDESC weatherMenu = { "Weather", 7, weatherOpts, TRUE, FALSE};
 
 
-    MENUENTRY soundOpts[3] =
+    static MENUENTRY soundOpts[3] =
     {
       { "All Sound", NULL, WHITE, &global->sound, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Sound Driver", NULL, WHITE, &global->sound_driver, NULL, "%s", 0, 5, 1, 0, soundDriver, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -157,7 +157,7 @@ if ( (global->language == LANGUAGE_ENGLI
    MENUDESC soundMenu = { "Sound", 3, soundOpts, TRUE, FALSE};
 
 
-    MENUENTRY graphicsOpts[12] =
+    static MENUENTRY graphicsOpts[12] =
     {
       { "Full Screen", NULL, WHITE, &global->full_screen, NULL, "%s", 0, 1, 1, 0, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 108},
       { "Dithering", NULL, WHITE, &global->ditherGradients, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
@@ -174,7 +174,7 @@ if ( (global->language == LANGUAGE_ENGLI
     };
     MENUDESC graphicsMenu = { "Graphics", 12, graphicsOpts, TRUE, FALSE};
 
-    MENUENTRY financeOpts[9] =
+    static MENUENTRY financeOpts[9] =
     {
       { "Starting Money", NULL, WHITE, (double*)&global->startmoney, NULL, "%2.0f", 0, 200000, 5000, 20000, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Interest Rate", NULL, WHITE, (double*)&global->interest, NULL, "%2.2f", 1.0, 1.5, 0.05, 1.25, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -188,7 +188,7 @@ if ( (global->language == LANGUAGE_ENGLI
     };
     MENUDESC financeMenu = { "Money", 9, financeOpts, TRUE, FALSE};
 
-    MENUENTRY networkOpts[5] =
+    static MENUENTRY networkOpts[5] =
     {
        {  "Check Updates", NULL, WHITE, (double*) &global->check_for_updates, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
        {  "Networking", NULL, WHITE, (double*) &global->enable_network, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 28},
@@ -205,7 +205,7 @@ if ( (global->language == LANGUAGE_ENGLI
     void *pnetworkMenu =        &networkMenu;
     void *pSoundMenu   =        &soundMenu;
 
-    MENUENTRY mainOpts[12] =
+    static MENUENTRY mainOpts[12] =
     {
       { "Physics", NULL, WHITE, (double*)pPhysicsMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
       { "Weather", NULL, WHITE, (double*)pWeatherMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
@@ -231,7 +231,7 @@ if ( (global->language == LANGUAGE_ENGLI
 
 if (global->language == LANGUAGE_PORTUGUESE)  // Portuguese
   {
-    MENUENTRY physicsOpts[8] =
+    static MENUENTRY physicsOpts[8] =
     {
       { "Gravidade", NULL, WHITE, &env->gravity, NULL, "%2.3f", .025, .325, 0.025, .075, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 80},
       { "Viscosidade", NULL, WHITE, &env->viscosity, NULL, "%2.2f", .25, 2.0, 0.25, 1.0, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 60},
@@ -245,7 +245,7 @@ if (global->language == LANGUAGE_PORTUGU
     };
     MENUDESC physicsMenu = { "FÃ­sica", 7, physicsOpts, TRUE, FALSE};
 
-    MENUENTRY weatherOpts[7] =
+    static MENUENTRY weatherOpts[7] =
     {
       { "Chuvas de Meteoro", NULL, WHITE, &env->meteors, NULL, "%s", 0, 3, 1,
         0, meteorText_ptbr, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3,
@@ -271,7 +271,7 @@ if (global->language == LANGUAGE_PORTUGU
                              TRUE, FALSE
                            };
 
-    MENUENTRY soundOpts[3] =
+    static MENUENTRY soundOpts[3] =
     {
       { "Efeitos de Som", NULL, WHITE, &global->sound, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Sistema de Som", NULL, WHITE, &global->sound_driver, NULL, "%s", 0, 5, 1, 0, soundDriver, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -280,7 +280,7 @@ if (global->language == LANGUAGE_PORTUGU
    MENUDESC soundMenu = { "Som", 3, soundOpts, TRUE, FALSE};
 
 
-    MENUENTRY graphicsOpts[12] =
+    static MENUENTRY graphicsOpts[12] =
     {
       { "Tela Cheia", NULL, WHITE, &global->full_screen, NULL, "%s", 0, 1, 1, 0, onOffText_ptbr, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 108},
       { "Pontilhamento", NULL, WHITE, &global->ditherGradients, NULL, "%s",
@@ -311,7 +311,7 @@ if (global->language == LANGUAGE_PORTUGU
     };
     MENUDESC graphicsMenu = { "GrÃ¡ficos", 12, graphicsOpts, TRUE, FALSE};
 
-    MENUENTRY financeOpts[9] =
+    static MENUENTRY financeOpts[9] =
     {
       { "Dinheiro inicial", NULL, WHITE, (double*)&global->startmoney, NULL,
         "%2.0f", 0, 200000, 5000, 20000, NULL, OPTION_DOUBLETYPE, FALSE,
@@ -342,7 +342,7 @@ if (global->language == LANGUAGE_PORTUGU
     };
     MENUDESC financeMenu = { "Dinheiro", 9, financeOpts, TRUE, FALSE};
 
-    MENUENTRY networkOpts[3] =
+    static MENUENTRY networkOpts[3] =
     {
        {  "Procurar actualizaÃ§Ãµes", NULL, WHITE, (double*) &global->check_for_updates, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
        {  "Activar Rede", NULL, WHITE, (double*) &global->enable_network, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 28},
@@ -358,7 +358,7 @@ if (global->language == LANGUAGE_PORTUGU
     void *pnetworkMenu  =       &networkMenu;
     void *pSoundMenu    =       &soundMenu;
 
-    MENUENTRY mainOpts[12] =
+    static MENUENTRY mainOpts[12] =
     {
       { "FÃ­sica", NULL, WHITE, (double*)pPhysicsMenu, NULL, NULL, 0, 0, 0,
         0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3,
@@ -404,7 +404,7 @@ if (global->language == LANGUAGE_PORTUGU
 // french
 if (global->language == LANGUAGE_FRENCH)
   {
-    MENUENTRY physicsOpts[8] =
+    static MENUENTRY physicsOpts[8] =
     {
       { "GravitÃ©", NULL, WHITE, &env->gravity, NULL, "%2.3f", .025, .325, 0.025, .075, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 80},
       { "ViscositÃ©", NULL, WHITE, &env->viscosity, NULL, "%2.2f", .25, 2.0, 0.25, 1.0, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 40},
@@ -418,7 +418,7 @@ if (global->language == LANGUAGE_FRENCH)
     };
     MENUDESC physicsMenu = { "Physique", 7, physicsOpts, TRUE, FALSE};
 
-    MENUENTRY weatherOpts[7] =
+    static MENUENTRY weatherOpts[7] =
     {
       { "Orages de mÃ©tÃ©orites", NULL, WHITE, &env->meteors, NULL, "%s", 0, 3, 1, 0, meteorText_fr, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Ãclairs", NULL, WHITE, &env->lightning, NULL, "%s", 0, 3, 1, 0, lightningText_fr, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -430,7 +430,7 @@ if (global->language == LANGUAGE_FRENCH)
     };
     MENUDESC weatherMenu = { "MÃ©tÃ©o", 7, weatherOpts, TRUE, FALSE};
 
-    MENUENTRY soundOpts[3] =
+    static MENUENTRY soundOpts[3] =
     {
       { "Effets Sonores", NULL, WHITE, &global->sound, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "SystÃ¨me de Son", NULL, WHITE, &global->sound_driver, NULL, "%s", 0, 5, 1, 0, soundDriver, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -439,7 +439,7 @@ if (global->language == LANGUAGE_FRENCH)
    MENUDESC soundMenu = { "Sound", 3, soundOpts, TRUE, FALSE};
 
 
-    MENUENTRY graphicsOpts[12] =
+    static MENUENTRY graphicsOpts[12] =
     {
       { "Full Screen", NULL, WHITE, &global->full_screen, NULL, "%s", 0, 1, 1, 0, onOffText_fr, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 108},
       { "Tramage", NULL, WHITE, &global->ditherGradients, NULL, "%s", 0, 1, 1, 1, onOffText_fr, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
@@ -456,7 +456,7 @@ if (global->language == LANGUAGE_FRENCH)
     };
     MENUDESC graphicsMenu = { "Graphismes", 12, graphicsOpts, TRUE, FALSE};
 
-    MENUENTRY financeOpts[9] =
+    static MENUENTRY financeOpts[9] =
     {
       { "Somme de dÃ©part", NULL, WHITE, (double*)&global->startmoney, NULL, "%2.0f", 0, 200000, 5000, 20000, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Taux d'intÃ©rÃªt", NULL, WHITE, (double*)&global->interest, NULL, "%2.2f", 1.0, 1.5, 0.05, 1.25, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -471,7 +471,7 @@ if (global->language == LANGUAGE_FRENCH)
     };
     MENUDESC financeMenu = { "Finances", 9, financeOpts, TRUE, FALSE};
 
-    MENUENTRY networkOpts[3] =
+    static MENUENTRY networkOpts[3] =
     {
        {  "Check Updates", NULL, WHITE, (double*) &global->check_for_updates, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
        {  "Networking", NULL, WHITE, (double*) &global->enable_network, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 28},
@@ -488,7 +488,7 @@ if (global->language == LANGUAGE_FRENCH)
     void *pnetworkMenu  =       &networkMenu;
     void *pSoundMenu    =       &soundMenu;
 
-    MENUENTRY mainOpts[12] =
+    static MENUENTRY mainOpts[12] =
     {
       { "Physique", NULL, WHITE, (double*)pPhysicsMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
       { "MÃ©tÃ©o", NULL, WHITE, (double*)pWeatherMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
@@ -515,7 +515,7 @@ if (global->language == LANGUAGE_FRENCH)
 
 if (global->language == LANGUAGE_GERMAN)
   {
-    MENUENTRY physicsOpts[8] =
+    static MENUENTRY physicsOpts[8] =
     {
       { "Gravitation", NULL, WHITE, &env->gravity, NULL, "%2.3f", .025, .325, 0.025, .075, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 80},
       { "Reibung", NULL, WHITE, &env->viscosity, NULL, "%2.2f", .25, 2.0, 0.25, 1.0, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 60},
@@ -528,7 +528,7 @@ if (global->language == LANGUAGE_GERMAN)
     };
     MENUDESC physicsMenu = { "Physik", 8, physicsOpts, TRUE, FALSE};
 
-    MENUENTRY weatherOpts[7] =
+    static MENUENTRY weatherOpts[7] =
     {
       { "Meteoritenregen", NULL, WHITE, &env->meteors, NULL, "%s", 0, 3, 1, 0, meteorText_de, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Gewitter", NULL, WHITE, &env->lightning, NULL, "%s", 0, 3, 1, 0, lightningText_de,OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -540,7 +540,7 @@ if (global->language == LANGUAGE_GERMAN)
     };
     MENUDESC weatherMenu = { "Wetter", 7, weatherOpts, TRUE, FALSE};
 
-    MENUENTRY soundOpts[3] =
+    static MENUENTRY soundOpts[3] =
     {
       { "Alle Sounds", NULL, WHITE, &global->sound, NULL, "%s", 0, 1, 1, 1, onOffText_de, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Sound Treiber", NULL, WHITE, &global->sound_driver, NULL, "%s", 0, 5, 1, 0, soundDriver, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -550,7 +550,7 @@ if (global->language == LANGUAGE_GERMAN)
 
 
 
-    MENUENTRY graphicsOpts[12] =
+    static MENUENTRY graphicsOpts[12] =
     {
       { "Full Screen", NULL, WHITE, &global->full_screen, NULL, "%s", 0, 1, 1, 0, onOffText_de, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 108},
       { "Dithering", NULL, WHITE, &global->ditherGradients, NULL, "%s", 0, 1, 1, 1, onOffText_de, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
@@ -568,7 +568,7 @@ if (global->language == LANGUAGE_GERMAN)
     MENUDESC graphicsMenu = { "Grafik", 12, graphicsOpts, TRUE, FALSE};
 
 
-    MENUENTRY financeOpts[9] =
+    static MENUENTRY financeOpts[9] =
     {
       { "Startgeld", NULL, WHITE, (double*)&global->startmoney, NULL, "%2.0f", 0, 200000, 5000, 20000, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Zinssatz", NULL, WHITE, (double*)&global->interest, NULL, "%2.2f", 1.0, 1.5, 0.05,1.25, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -583,7 +583,7 @@ if (global->language == LANGUAGE_GERMAN)
     };
     MENUDESC financeMenu = { "Geld", 9, financeOpts, TRUE, FALSE};
 
-    MENUENTRY networkOpts[3] =
+    static MENUENTRY networkOpts[3] =
     {
        {  "Auf Aktualisierungen prÃ¼fen", NULL, WHITE, (double*) &global->check_for_updates, NULL, "%s", 0, 1, 1, 1, onOffText_de, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
        {  "Netzwerk", NULL, WHITE, (double*) &global->enable_network, NULL, "%s", 0, 1, 1, 1, onOffText_de, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 28},
@@ -599,7 +599,7 @@ if (global->language == LANGUAGE_GERMAN)
     void *pnetworkMenu  =       &networkMenu;
     void *pSoundMenu    =       &soundMenu;
 
-    MENUENTRY mainOpts[12] =
+    static MENUENTRY mainOpts[12] =
     {
       { "Physik", NULL, WHITE, (double*)pPhysicsMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
       { "Wetter", NULL, WHITE, (double*)pWeatherMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
@@ -626,7 +626,7 @@ if (global->language == LANGUAGE_GERMAN)
 
 if (global->language == LANGUAGE_SLOVAK)
   {
-    MENUENTRY physicsOpts[8] =
+    static MENUENTRY physicsOpts[8] =
     {
       { "GravitÃ¡cia", NULL, WHITE, &env->gravity, NULL, "%2.3f", .025, .325, 0.025, .075, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 80},
       { "Viskozita", NULL, WHITE, &env->viscosity, NULL, "%2.2f", .25, 2.0, 0.25, 1.0, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 60},
@@ -639,7 +639,7 @@ if (global->language == LANGUAGE_SLOVAK)
     };
     MENUDESC physicsMenu = { "Fyzika", 7, physicsOpts, TRUE, FALSE};
 
-    MENUENTRY weatherOpts[7] =
+    static MENUENTRY weatherOpts[7] =
     {
       { "DÃ¡Å¾Ä meteorov", NULL, WHITE, &env->meteors, NULL, "%s", 0, 3, 1, 0, meteorText_sk, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Blesky", NULL, WHITE, &env->lightning, NULL, "%s", 0, 3, 1, 0, lightningText_sk, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -651,7 +651,7 @@ if (global->language == LANGUAGE_SLOVAK)
     };
     MENUDESC weatherMenu = { "PoÄasie", 7, weatherOpts, TRUE, FALSE};
 
-    MENUENTRY soundOpts[3] =
+    static MENUENTRY soundOpts[3] =
     {
       { "VÅ¡etky zvuky", NULL, WHITE, &global->sound, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "OvlÃ¡daÄ zvuku", NULL, WHITE, &global->sound_driver, NULL, "%s", 0, 5, 1, 0, soundDriver, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -661,7 +661,7 @@ if (global->language == LANGUAGE_SLOVAK)
 
 
 
-    MENUENTRY graphicsOpts[12] =
+    static MENUENTRY graphicsOpts[12] =
     {
       { "Na celÃº obrazovku", NULL, WHITE, &global->full_screen, NULL, "%s", 0, 1, 1, 0, onOffText_sk, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 108},
       { "Rozptyl", NULL, WHITE, &global->ditherGradients, NULL, "%s", 0, 1, 1, 1, onOffText_sk, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
@@ -678,7 +678,7 @@ if (global->language == LANGUAGE_SLOVAK)
     };
     MENUDESC graphicsMenu = { "Grafika", 12, graphicsOpts, TRUE, FALSE};
 
-    MENUENTRY financeOpts[9] =
+    static MENUENTRY financeOpts[9] =
     {
       { "Peniaze na zaÄiatku", NULL, WHITE, (double*)&global->startmoney, NULL, "%2.0f", 0, 200000, 5000, 20000, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "ÃrokovÃ¡ miera", NULL, WHITE, (double*)&global->interest, NULL, "%2.2f", 1.0, 1.5, 0.05, 1.25, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -694,7 +694,7 @@ if (global->language == LANGUAGE_SLOVAK)
     MENUDESC financeMenu = { "Peniaze", 9, financeOpts, TRUE, FALSE};
 
 
-    MENUENTRY networkOpts[3] =
+    static MENUENTRY networkOpts[3] =
     {
        {  "Kontrola aktualizÃ¡cii", NULL, WHITE, (double*) &global->check_for_updates, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
        {  "SieÅ¥ovÃ¡ hra", NULL, WHITE, (double*) &global->enable_network, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 28},
@@ -711,7 +711,7 @@ if (global->language == LANGUAGE_SLOVAK)
     void *pSoundMenu    =       &soundMenu;
 
 
-    MENUENTRY mainOpts[12] =
+    static MENUENTRY mainOpts[12] =
     {
       { "Fyzika", NULL, WHITE, (double*)pPhysicsMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
       { "PoÄasie", NULL, WHITE, (double*)pWeatherMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
@@ -737,7 +737,7 @@ if (global->language == LANGUAGE_SLOVAK)
 
 if (global->language == LANGUAGE_RUSSIAN)
 {
-    MENUENTRY physicsOpts[8] =
+    static MENUENTRY physicsOpts[8] =
     {
       { "ÐÑÐ°Ð²Ð¸ÑÐ°ÑÐ¸Ñ", NULL, WHITE, &env->gravity, NULL, "%2.3f", .025, .325, 0.025, .075, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 80},
       { "Ð¡Ð¸Ð»Ð° ÑÑÐµÐ½Ð¸Ñ", NULL, WHITE, &env->viscosity, NULL, "%2.2f", .25, 2.0, 0.25, 1.0, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 60},
@@ -751,7 +751,7 @@ if (global->language == LANGUAGE_RUSSIAN
     MENUDESC physicsMenu = { "Ð¤Ð¸Ð·Ð¸ÐºÐ°", 7, physicsOpts, TRUE, FALSE};
 
 
-    MENUENTRY weatherOpts[7] =
+    static MENUENTRY weatherOpts[7] =
     {
       { "ÐÐµÑÐµÐ¾ÑÐ¸ÑÐ½ÑÐ¹ Ð´Ð¾Ð¶Ð´Ñ", NULL, WHITE, &env->meteors, NULL, "%s", 0, 3, 1, 0, meteorText_ru, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "ÐÐ¾Ð»Ð½Ð¸Ð¸", NULL, WHITE, &env->lightning, NULL, "%s", 0, 3, 1, 0, lightningText_ru, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -764,7 +764,7 @@ if (global->language == LANGUAGE_RUSSIAN
     MENUDESC weatherMenu = { "ÐÐ¾Ð³Ð¾Ð´Ð°", 7, weatherOpts, TRUE, FALSE};
 
 
-    MENUENTRY soundOpts[3] =
+    static MENUENTRY soundOpts[3] =
     {
       { "All Sound", NULL, WHITE, &global->sound, NULL, "%s", 0, 1, 1, 1, onOffText_ru, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "Sound Driver", NULL, WHITE, &global->sound_driver, NULL, "%s", 0, 5, 1, 0, soundDriver, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -773,7 +773,7 @@ if (global->language == LANGUAGE_RUSSIAN
    MENUDESC soundMenu = { "Sound", 3, soundOpts, TRUE, FALSE};
 
 
-    MENUENTRY graphicsOpts[12] =
+    static MENUENTRY graphicsOpts[12] =
     {
       { "Full Screen", NULL, WHITE, &global->full_screen, NULL, "%s", 0, 1, 1, 0, onOffText_ru, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 108},
       { "Ð¡Ð³Ð»Ð°Ð¶Ð¸Ð²Ð°Ð½Ð¸Ðµ", NULL, WHITE, &global->ditherGradients, NULL, "%s", 0, 1, 1, 1, onOffText_ru, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
@@ -791,7 +791,7 @@ if (global->language == LANGUAGE_RUSSIAN
     MENUDESC graphicsMenu = { "ÐÑÐ°ÑÐ¸ÐºÐ°", 12, graphicsOpts, TRUE, FALSE};
 
 
-    MENUENTRY financeOpts[9] =
+    static MENUENTRY financeOpts[9] =
     {
       { "ÐÐ°ÑÐ°Ð»ÑÐ½ÑÐµ Ð´ÐµÐ½ÑÐ³Ð¸", NULL, WHITE, (double*)&global->startmoney, NULL, "%2.0f", 0, 200000, 5000, 20000, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
       { "ÐÐ°Ð½ÐºÐ¾Ð²ÑÐºÐ¸Ð¹ Ð¿ÑÐ¾ÑÐµÐ½Ñ", NULL, WHITE, (double*)&global->interest, NULL, "%2.2f", 1.0, 1.5, 0.05, 1.25, NULL, OPTION_DOUBLETYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
@@ -806,7 +806,7 @@ if (global->language == LANGUAGE_RUSSIAN
     MENUDESC financeMenu = { "Ð­ÐºÐ¾Ð½Ð¾Ð¼Ð¸ÐºÐ°", 9, financeOpts, TRUE, FALSE};
 
 
-    MENUENTRY networkOpts[3] =
+    static MENUENTRY networkOpts[3] =
     {
        {  "ÐÑÐ¾Ð²ÐµÑÑÑÑ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ñ", NULL, WHITE, (double*) &global->check_for_updates, NULL, "%s", 0, 1, 1, 1, onOffText_ru, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 48},
        {  "Networking", NULL, WHITE, (double*) &global->enable_network, NULL, "%s", 0, 1, 1, 1, onOffText, OPTION_SPECIALTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 28},
@@ -822,7 +822,7 @@ if (global->language == LANGUAGE_RUSSIAN
     void *pSoundMenu    =       &soundMenu;
 
 
-    MENUENTRY mainOpts[12] =
+    static MENUENTRY mainOpts[12] =
     {
       { "Ð¤Ð¸Ð·Ð¸ÐºÐ°", NULL, WHITE, (double*)pPhysicsMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 88},
       { "ÐÐ¾Ð³Ð¾Ð´Ð°", NULL, WHITE, (double*)pWeatherMenu, NULL, NULL, 0, 0, 0, 0, NULL, OPTION_MENUTYPE, FALSE, global->halfWidth - 3, global->halfHeight - 68},
